# $Revision: 1.14 $, $Date: 2009/10/15 20:13:05 $
Summary:	X font encodings database
Summary(pl.UTF-8):	Baza kodowań fontów X
Name:		xorg-font-encodings
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11
Source0:	http://xorg.freedesktop.org/releases/individual/font/encodings-%{version}.tar.bz2
# Source0-md5:	29637480e7ce12546668631067c19ced
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X font encodings database.

%description -l pl.UTF-8
Baza kodowań fontów X.

%prep
%setup -q -n encodings-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-encodingsdir=%{_fontsdir}/encodings

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/encodings

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-encodings.spec,v $
Revision 1.14  2009/10/15 20:13:05  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- BR proper util-macros and font-util
- added README to doc

Revision 1.13  2009/10/12 18:42:38  arekm
- up to 1.0.3

Revision 1.12  2007/10/21 14:18:49  megabajt
- BA: noarch
- release 2

Revision 1.11  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.9  2006/11/08 15:33:39  arekm
- up to 1.0.2

Revision 1.8  2006/10/23 15:51:06  qboosh
- updated to 1.0.1, release 1

Revision 1.7  2006/01/03 12:41:22  qboosh
- added ChangeLog to doc

Revision 1.6  2006/01/03 12:39:23  qboosh
- 1.0.0 (X11R7.0 release)
- removed obsolete encodings-fontpath patch, use --with-encodingsdir

Revision 1.5  2005/10/20 23:23:55  qboosh
- 0.99.1 (X11R7.0-RC1)
- fixed patch filename
- pkgconfig is not needed here (gzip is, but already required by rpm-build)

Revision 1.4  2005/10/20 11:03:48  jpc
- missing patch in SOURCES!

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sun Aug 14 2005 23:50:04  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added encodings-fontpath.patch
- release 0.02

* Tue Aug  9 2005 09:59:54  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
